---
search:
  tags:
    - Themes
    - GET
seo:
  description: >-
    Returns a single template including its full body source. Reference for the
    GET /themes/{theme_id}/templates/{id} endpoint in the Bolder API v2.
sidebar:
  label: Get a template
  badge: GET
title: Get a template
type: openapi-operation
---
Returns a single template including its full body source.

`GET /themes/{theme_id}/templates/{id}`

**Responses**

- `200` — Template entity
- `401` — Unauthorized
- `403` — Access denied
- `404` — Template not found

Response example, 200:

```json
{
  "id": "t1",
  "file_name": "layout.html",
  "name": "layout",
  "content_type": "text/html",
  "body": "<html><head></head><body>{{ content }}</body></html>",
  "is_section": false,
  "updated_on": "2024-11-15T09:30:00Z",
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/themes/abc123/templates/t1"
    },
    "store:update_template": {
      "href": "https://api.onbolder.com/v2/themes/abc123/templates/t1",
      "method": "put"
    },
    "store:delete_template": {
      "href": "https://api.onbolder.com/v2/themes/abc123/templates/t1",
      "method": "delete"
    }
  }
}
```
